Автор Тема: не могу найти библиотеку для QT5  (Прочитано 14266 раз)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Задача, когда запускаю исполняемый файл, на чистом компе, то выскакивает ошибка, что не хватает библиотеки для qt5 charts

$ ./VCPaMain
./VCPaMain: error while loading shared libraries: libQt5Charts.so.5: cannot open shared object file: No such file or directory

Подскажите пожалуйста - как мне найти в каком RPM файле эта библиотека заключена?

И как мне установить ее так, чтобы подтянулись все необходимые зависимости, которые может быть еще вылезут?

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 773
Re: не могу найти библиотеку для QT5
« Ответ #1 : 20.11.2018 13:59:06 »
qt5-charts

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 578
    • Домашняя страница
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #2 : 20.11.2018 16:22:52 »
Найти пакет по имени файла – установить пакет apf.
Андрей Черепанов (cas@)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #3 : 20.11.2018 18:56:01 »
А почему я не вижу этот пакет, может быть у меня старой версии репозиторий настроен?
Я спрашиваю, а он мне ни чего не отвечает - не видит этот пакет
$ apt-cache search qt5-charts
$

Оффлайн Александр Ерещенко

  • Давно тут
  • **
  • Сообщений: 620
Re: не могу найти библиотеку для QT5
« Ответ #4 : 20.11.2018 19:11:22 »
$ apt-cache search qt5 charts
libqt5-charts - Qt5 library
qt5-charts-devel - Development files for qt5-charts
i586-libqt5-charts - Qt5 library
i586-qt5-charts-devel - Development files for qt5-charts
qt5-charts-common - Common package for qt5-charts
qt5-charts-doc - Document for developing apps which will use Qt5 qtcharts

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 773
Re: не могу найти библиотеку для QT5
« Ответ #5 : 20.11.2018 19:18:38 »
А почему я не вижу этот пакет, может быть у меня старой версии репозиторий настроен?
а вас вообще какая система установлена?

Оффлайн Merblud

  • Давно тут
  • **
  • Сообщений: 404
Re: не могу найти библиотеку для QT5
« Ответ #6 : 20.11.2018 20:52:24 »
А почему я не вижу этот пакет, может быть у меня старой версии репозиторий настроен?
а вас вообще какая система установлена?

Ну топикстартер же написал в своём первом посте:
... запускаю исполняемый файл, на чистом компе ...
Видимо, вообще никакой.  ;-D

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 578
    • Домашняя страница
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #7 : 20.11.2018 21:54:07 »
Этот пакет есть только в p8 и Sisyphus.
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 773
Re: не могу найти библиотеку для QT5
« Ответ #8 : 20.11.2018 23:14:55 »
Этот пакет есть только в p8 и Sisyphus.
а у него p7 - https://forum.altlinux.org/index.php?topic=41864.msg332600#msg332600  ;-D

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #9 : 21.11.2018 08:09:10 »
а вас вообще какая система установлена?

Дома р8, на работе р7 - все ни как руки не дойдут забекапится и обновить систему. Боюсь вдруг что-то слетит, и тогда кирдык настанет...

Да, в р8 я увидел эти пакеты, спасибо за подсказку
$ apt-cache search qt5 charts
libqt5-charts - Qt5 library
qt5-charts-devel - Development files for qt5-charts
i586-libqt5-charts - Qt5 library
i586-qt5-charts-devel - Development files for qt5-charts
qt5-charts-common - Common package for qt5-charts
qt5-charts-doc - Document for developing apps which will use Qt5 qtcharts

Только все равно не понятно можно ли обойтись одним пакетом, и если да, то какой конкретно из списка пакет поставить, чтобы программа запускалась на других компах, там где не установлен QT-creator.
Придется видимо методом тыка сносить и ставить по одному пакету

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 578
    • Домашняя страница
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #10 : 21.11.2018 08:10:59 »
libqt5-charts
Андрей Черепанов (cas@)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #11 : 21.11.2018 08:13:37 »
... запускаю исполняемый файл, на чистом компе ...
Видимо, вообще никакой.  ;-D

На чистом компе, это я имел ввиду - там где не установлена среда разработки - в нашем случае qt-creator.
А вы можете подсказать, как собрать в QT5 исполняемый файл так, чтобы он уже сразу включал в себя все зависимые библиотеки и запускался бы без проблем на любом другом компе?

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #12 : 21.11.2018 08:35:05 »
libqt5-charts
Спасибо за подсказку, она помогла преодолеть этот уровень, но на следующем вышла уже непонятная зависимость

$ ./VCPaMain
./VCPaMain: /usr/lib64/libQt5Core.so.5: version `Qt_5.11' not found (required by ./VCPaMain)

Я по аналогии посмотрел и попытался добавить эту библиотеку, но оказалась,что она уже установлена и не понятно что теперь делать дальше?

# apt-get install libqt5-core
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия libqt5-core уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 388 не будет обновлено.
 
# apt-get install qt5-x11extras-common
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия qt5-x11extras-common уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 388 не будет обновлено.



Не подскажете как разрешить эту зависимость? Может быть пересобрать с этой уже установленной библиотекой из всех исходников исполняемый файл еще раз?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 578
    • Домашняя страница
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #13 : 21.11.2018 10:44:22 »
Пересобрать qt5-charts под p7 или собрать исполняемый файл статически. Второе потребует статических библиотек и очень трудозатратно.
Андрей Черепанов (cas@)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Re: не могу найти библиотеку для QT5
« Ответ #14 : 21.11.2018 13:19:46 »
Пересобрать qt5-charts под p7
А в приведенном примере - проблема с пакетами уже на р8 зафиксирована.

подскажите как разрешить проблему зависимостей,
/usr/lib64/libQt5Core.so.5: version `Qt_5.11' not found
если все библиотеки уже установлены на р8